#include <iostream>

using namespace std;

int main()
{
    int k1,k2,p1,p2;
    cin>>k1>>k2>>p1>>p2;
    if(k1==p1&&k2==p2)
    {
        cout<<"nijedan";
        return 0;
    }
    else if(k1==p1&&k2!=p2)
    {
        cout<<"drugi";
        return 0;
    }
    else if(k1!=p1&&k2==p2)
    {
        cout<<"prvi";
        return 0;
    }
    cout << "?";
    return 0;
}